{{- $position := .position -}}
{{- $title := .title -}}
{{- $is_carousel := false -}}

{{- with .data -}}
  {{ if gt (len .testimonials) 1 }}
    {{- $is_carousel = true -}}
  {{ end }}
  <section class="block-testimonials" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">
        {{ with $title -}}
        <h2 id="{{ . | urlize }}">{{ partial "osuny/PrepareHTML" . }}</h2>
        {{ end -}}

        <div class="testimonials">

          {{- if $is_carousel }}
          <div class="splide" data-splide='{"arrows":true,"pagination":false,"autoplay":false,"autoHeight":true,"lazyLoad":true,"gap":24}'>
            <div class="splide__track">
              <div class="splide__list">
          {{ end -}}

          {{ range .testimonials }}
            <figure{{ if $is_carousel }} class="splide__slide"{{ end }}>
              <blockquote>
                {{- partial "osuny/PrepareHTML" .text -}}
              </blockquote>
              {{ if or .photo .author .job -}}
              <figcaption>
                {{ if .photo -}}
                  <div class="avatar">
                    {{- partial "osuny/commons/image.html"
                          (dict
                            "image"    .photo
                            "alt"      .author
                            "mobile"   "192x192"
                            "tablet"   "192x192"
                            "desktop"  "192x192"
                          ) -}}
                  </div>
                {{- end }}
                {{ if or .author .job -}}
                  <span>
                    {{- if .author -}}
                      <b>{{ partial "osuny/PrepareHTML" .author }}</b><br>
                    {{- end }}
                    {{- if .job -}}
                      {{- partial "osuny/PrepareHTML" .job -}}
                    {{- end }}
                  </span>
                {{- end }}
              </figcaption>
              {{ end }}
            </figure>
          {{ end }}

          {{- if $is_carousel }}
            </div>
          </div>

          <!--
          <div class="splide__autoplay">
            <button class="splide__play"></button>
            <button class="splide__pause"></button>
          </div>
          -->

          {{ end -}}

        </div>

      </div>
    </div>
  </section>
{{- end -}}
